{% extends "base2.html" %}
{% block body_block %}

<form action="{% url 'powxrd:list' %}" method="POST" enctype="multipart/form-data">
  {% csrf_token %}
  <p>{{ form.non_field_error }}</p>
  <p>{{ form.csvfile.label_tag }} {{ form.csvfile.help_text }}</p>
  <p>{{ form.csvfile.errors }} {{ form.csvfile }}</p>
  <p>
    {{ form.wavelength.label_tag }}
    <input type="number" name="wavelength" step="0.00001" value="1.54184">
  </p>
  <p><input type="submit" name="upload_scan" value="Upload"></p>
</form>

{% if documents %}
<p><input type="submit" value="Click to start Assessment" class="process-button" id="Process"></p>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<div class="plots-container">
  <div class="plot" id="plot1"></div>
  <div class="plot" id="plot2"></div>
</div>

<script>
  $(document).ready(function() {
    $("#Process").click(function() {
      $.ajax({
        url: "/powxrd/engine/",
        type: "get",
        dataType: "json",
        success: function(data) {
          // Create the first Plotly graph
          var trace1 = {
            x: data.Q,
            y: data.intensities,
            mode: "lines"
          };

          var data1 = [trace1];

          var layout1 = {
            title: "Original Scan",
            xaxis: { title: "q vector", range: [Math.min(...data.Q), Math.max(...data.Q)] },
            yaxis: { title: "Intensity", range: [0, Math.max(...data.intensities)] },
            height: 400
          };

          Plotly.newPlot('plot1', data1, layout1);

          // Create the second Plotly graph
          var trace2 = {
            x: data.labels,
            y: data.probabilities,
            type: "bar"
          };

          var data2 = [trace2];

          var layout2 = {
            title: "Space Group Predictions",
            xaxis: { title: "Space Group" },
            yaxis: { title: "Probability", range: [0, 1] },
            height: 400
          };

          Plotly.newPlot('plot2', data2, layout2);
        }
      });
    });
  });
</script>

{% endif %}
{% endblock %}
